%define real_name App-Info

Summary:	App::Info - Information about software packages on a system
Name:		perl-%{real_name}
Version:	0.44
Release:	1mdk
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	http://search.cpan.org/CPAN/authors/id/D/DW/DWHEELER/%{real_name}-%{version}.tar.bz2
BuildRequires:  apache
BuildRequires:	perl-devel
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Pod) >= 1.20
BuildRequires:  postgresql-devel
BuildRequires:  sqlite3-devel
BuildRequires:	sqlite3-tools
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
App::Info provides a generalized interface for providing metadata
about software packages installed on a system. The idea is that
App::Info subclasses can be used in Perl application installers in
order to determine whether software dependencies have been fulfilled,
and to get necessary metadata about those software packages.

%prep
%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
chmod -R u+w %{buildroot}/*

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorlib}/App/Info
%dir %{perl_vendorlib}/App/Info/Handler
%dir %{perl_vendorlib}/App/Info/Lib
%dir %{perl_vendorlib}/App/Info/RDBMS
%dir %{perl_vendorlib}/App/Info/HTTPD
%{perl_vendorlib}/App/*.pm
%{perl_vendorlib}/App/Info/*.pm
%{perl_vendorlib}/App/Info/Handler/*.pm
%{perl_vendorlib}/App/Info/Lib/*.pm
%{perl_vendorlib}/App/Info/RDBMS/*.pm
%{perl_vendorlib}/App/Info/HTTPD/*.pm
%{_mandir}/*/*

%changelog
* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.44-1mdk
- initial Mandriva package, slight fedora import
